The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Unassign a License

Prev Next

This URL unassign's a license associated with the device.

Resource URL

PUT /license/unassignlicense

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name Description Data Type Mandatory
licenseId License id String Yes
grantIndex Grant Index of the license String Yes
grantId Grant id of the license String Yes
sensorId Sensor id to be associated with license String No

Response Parameters

Following fields are returned.

Field Name Description Data Type
status Set to 1 if the unassignment is successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/unassignlicense

Payload

{
“licenseId”: “50002”,
“grantIndex”: “3”,
“grantId”: “0030080”,
}

Response

{
		'status' : 1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error